|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# characterwidget.h Example File
widgets/charactermap/characterwidget.h

        #ifndef CHARACTERWIDGET_H
        #define CHARACTERWIDGET_H

        #include <QFont>
        #include <QPoint>
        #include <QSize>
        #include <QString>
        #include <QWidget>

        class QMouseEvent;
        class QPaintEvent;

        class CharacterWidget : public QWidget
        {
            Q_OBJECT

        public:
            CharacterWidget(QWidget *parent = 0);
            QSize sizeHint() const;

        public slots:
            void updateFont(const QString &fontFamily);
            void updateStyle(const QString &fontStyle);

        signals:
            void characterSelected(const QString &character);

        protected:
            void mouseMoveEvent(QMouseEvent *event);
            void mousePressEvent(QMouseEvent *event);
            void paintEvent(QPaintEvent *event);

        private:
            QFont displayFont;
            int lastKey;
        };

        #endif